---
- hosts: all
#  vars: 
#    reg_token: GR13489417GKbrZYH2S5eyyrWRxZt
  vars_files:
    - vars.yml
  become: yes
  tasks:
    - name: Install yum utils
      yum:
        name: 
          - yum-utils
#          - curl
#          - python3-pip
          - unzip
          - tar
#          - wget
          - device-mapper-persistent-data
          - lvm2
        state: latest

    - name: Add Docker repo
      get_url:
        url: https://download.docker.com/linux/centos/docker-ce.repo
        dest: /etc/yum.repos.d/docker-ce.repo

    - name: Install Docker
      yum:
        name:
          - docker-ce
          - docker-ce-cli
          - containerd.io
        state: latest
  
    - name: Start Docker service
      service:
        name: docker
        state: started
        enabled: yes

    - name: RUN gitlab docker runner
      command: |
        docker run -d --name gitlab-runner --restart always \
        -v /srv/gitlab-runner/config:/etc/gitlab-runner \
        -v /var/run/docker.sock:/var/run/docker.sock \
        gitlab/gitlab-runner:latest

    - name: Register gitlab docker runner
      command: |
        docker run --rm -it -v /srv/gitlab-runner/config:/etc/gitlab-runner gitlab/gitlab-runner register \
        --non-interactive \
        --url "https://gitlab.com" \
        --registration-token "{{ reg_token }}" \
        --description "docker-codechecker" \
        --executor "docker" \
        --docker-image=alpine \
        --tag-list "test-tag"
        